<div class ="container details-container">
    <h2>Competition Details</h2>
    <p><strong>Competition name:</strong> {{ competition.name }}</p>
    <p><strong>Participants:</strong> {{ competition.participants }}</p>
    <p><strong>Scoring systems:</strong> {{ competition.scoringSystem }}</p>
    <div class="results-section">
        <h3>Results</h3>
        <table>
          <thead>
            <tr>
              <th>Participant</th>
              <th>Total Score</th>
            </tr>
          </thead>
          <tbody>
            <ng-container *ngFor="let result of filteredResults[0].results">
              <tr>
                <td>{{ result.participant }}</td>
                <td>{{ result.score }}</td>
              </tr>
            </ng-container>
          </tbody>
        </table>
      </div>
    
      <div *ngIf="schedule.length > 0" class="schedule-section">
        <h3>Schedule</h3>
        <ul>
          <li style="margin:10px"*ngFor="let round of schedule">
            {{ round }}
          </li>
        </ul>
      </div>  
  </div>